Bug 841584 - --distributor-id is visible for pulp-consumer and is required
--distributor-id is visible for pulp-consumer and is required
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jay Dobies
Preethi Thomas
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-19 09:40 EDT by Preethi Thomas
Modified: 2013-09-09 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-07 09:09:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2012-07-19 09:40:07 EDT
Description of problem:

[root@pulp-client1 ~]# pulp-consumer -u admin -p admin bind
Command: bind
Description: binds this consumer to a repository distributor for consuming
published content

Available Arguments:

  --repo-id        - (required) repository id
  --distributor-id - (required) distributor id

The following options are required but were not specified:
  --repo-id
  --distributor-id

Version-Release number of selected component (if applicable):

[root@pulp-client1 ~]# rpm -q pulp-rpm-consumer-client
pulp-rpm-consumer-client-0.0.314-1.el6.noarch
[root@pulp-client1 ~]# 

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jay Dobies 2012-07-19 10:07:39 EDT
commit 3d9058ce81d88d933ed36c059968a120374f2bc7
Author: Jay Dobies <jason.dobies@redhat.com>
Date:   Thu Jul 19 10:03:24 2012 -0400

    841584 - Temporarily turn the generic bind extension into RPM

builtins/extensions/consumer/pulp_consumer/pulp_cli.py


This is a temporary fix. The real fix will be to add an overriden bind command to the RPM consumer extension, but in the interest of getting the community release out soon this was quicker and safer.
Comment 2 Jeff Ortel 2012-07-20 11:37:41 EDT
build: 0.315.
Comment 3 Preethi Thomas 2012-07-20 13:59:20 EDT
failing
I see it in unbind as well.

[root@pulp-client1 ~]# pulp-consumer -u admin -p admin unbind --repo epel
Command: unbind
Description: unbinds this consumer from a repository distributor

Available Arguments:

  --repo-id        - (required) repository id
  --distributor-id - (required) distributor id

The following options are required but were not specified:
  --distributor-id
Comment 4 Jay Dobies 2012-07-20 14:17:57 EDT
commit aefd47f4253be53328916804e6b3fc02d2be6f51
Author: Jay Dobies <jason.dobies@redhat.com>
Date:   Fri Jul 20 14:17:09 2012 -0400

    841584 - Removed --distributor-id from unbind and updated output

builtins/extensions/consumer/pulp_consumer/pulp_cli.py
Comment 5 Jeff Ortel 2012-07-20 14:55:28 EDT
build: 0.317.
Comment 6 Preethi Thomas 2012-07-23 08:04:42 EDT
verified

[root@pulp-client ~]# pulp-consumer -u admin -p admin register --id pulp-clientConsumer [pulp-client] successfully registered

[root@pulp-client ~]# pulp-consumer -u admin -p admin bind --repo rhel6_2
Consumer [pulp-client] successfully bound to repository [rhel6_2]

[root@pulp-client ~]# pulp-consumer -u admin -p admin unbind --repo rhel6_2
Consumer [pulp-client] successfully unbound from repository [rhel6_2]

[root@pulp-client ~]# rpm -q pulp-rpm-consumer-client
pulp-rpm-consumer-client-0.0.317-1.el6.noarch
[root@pulp-client ~]#
Comment 7 Preethi Thomas 2012-07-27 10:25:00 EDT
reopening

its an issue in pulp-admin consumer as well
[root@preethi-el6-pulp ~]# pulp-admin consumer bind --repo rhel6_2 --id pulp-client
Command: bind
Description: binds a consumer to a repository distributor for consuming
published content

Available Arguments:

  --id             - (required) consumer id
  --repo-id        - (required) repository id
  --distributor-id - (required) distributor id

The following options are required but were not specified:
  --distributor-id


[root@preethi-el6-pulp ~]# pulp-admin consumer bind --repo rhel6_2 --id pulp-client --distributor-id yum_distributor
Consumer [pulp-client] successfully bound to repository distributor [rhel6_2 :
yum_distributor]
Comment 8 Jay Dobies 2012-07-27 15:11:26 EDT
commit 7aa0e35b15d1ffd19a604ed20a85c0c230a96828
Author: Jay Dobies <jason.dobies@redhat.com>
Date:   Fri Jul 27 14:58:09 2012 -0400

    Added RPM bind/unbind to auto set the distributor

builtins/extensions/consumer/pulp_consumer/pulp_cli.py
rpm-support/extensions/admin/rpm_admin_consumer/bind.py
rpm-support/extensions/admin/rpm_admin_consumer/pulp_cli.py
Comment 9 Jeff Ortel 2012-08-02 09:48:20 EDT
build: 0.320.
Comment 10 Preethi Thomas 2012-09-11 09:43:58 EDT
[root@preethi-el6-pulp ~]# rpm -q pulp-rpm-server
pulp-rpm-server-2.0.3-1.el6.noarch


[root@preethi-el6-pulp ~]# pulp-admin consumer unbind --repo-id rhel6_2 --consumer-id pulp-client
Consumer [pulp-client] successfully unbound from repository [rhel6_2]

[root@preethi-el6-pulp ~]# 
[root@preethi-el6-pulp ~]# 
[root@preethi-el6-pulp ~]# 
[root@preethi-el6-pulp ~]# pulp-admin consumer bind --repo-id rhel6_2 --consumer-id pulp-client
Consumer [pulp-client] successfully bound to repository [rhel6_2]

[root@preethi-el6-pulp ~]#
Comment 11 Preethi Thomas 2013-01-07 09:09:45 EST
Pulp 2.0 released.

Note You need to log in before you can comment on or make changes to this bug.